import type { Expectation } from '../expectation/expectation';
import type { Property } from '../proxy';
type MatcherResult = {
    expected: unknown;
    actual: unknown;
};
interface MatcherError {
    matcherResult?: MatcherResult;
}
export declare const printArgsDiff: (expected: unknown[], actual: unknown[]) => string;
export declare const printExpectationDiff: (e: Expectation, args: unknown[]) => string;
export declare const printDiffForAllExpectations: (expectations: Expectation[], actual: unknown[]) => string;
export declare class UnexpectedCall extends Error implements MatcherError {
    matcherResult?: MatcherResult;
    constructor(property: Property, args: unknown[], expectations: Expectation[]);
}
export {};
